import{S as Wa,i as Ba,s as Ra,e as i,k as l,w as g,t as n,M as Za,c as s,d as o,m as d,x as v,a,h as r,b as f,N as Ha,f as Fa,G as t,g as c,y as b,q as y,o as w,B as x,v as Ya,L as Ka}from"../../../chunks/vendor-hf-doc-builder.js";import{T as Ja}from"../../../chunks/Tip-hf-doc-builder.js";import{D as ie}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as Lo}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as it}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Qa}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Xa(Me){let u,D;return{c(){u=i("p"),D=n("This pipeline is for research purposes only.")},l(T){u=s(T,"P",{});var $=a(u);D=r($,"This pipeline is for research purposes only."),$.forEach(o)},m(T,$){c(T,u,$),t(u,D)},d(T){T&&o(u)}}}function en(Me){let u,D,T,$,P;return $=new Lo({props:{code:`import torch
from diffusers import TextToVideoSDPipeline
from diffusers.utils import export_to_video

pipe = TextToVideoSDPipeline.from_pretrained(
    "damo-vilab/text-to-video-ms-1.7b", torch_dtype=torch.float16, variant="fp16"
)
pipe.enable_model_cpu_offload()

prompt = "Spiderman is surfing"
video_frames = pipe(prompt).frames
video_path = export_to_video(video_frames)
video_path`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> TextToVideoSDPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> export_to_video

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = TextToVideoSDPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;damo-vilab/text-to-video-ms-1.7b&quot;</span>, torch_dtype=torch.float16, variant=<span class="hljs-string">&quot;fp16&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_model_cpu_offload()

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Spiderman is surfing&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>video_frames = pipe(prompt).frames
<span class="hljs-meta">&gt;&gt;&gt; </span>video_path = export_to_video(video_frames)
<span class="hljs-meta">&gt;&gt;&gt; </span>video_path`}}),{c(){u=i("p"),D=n("Examples:"),T=l(),g($.$$.fragment)},l(m){u=s(m,"P",{});var k=a(u);D=r(k,"Examples:"),k.forEach(o),T=d(m),v($.$$.fragment,m)},m(m,k){c(m,u,k),t(u,D),c(m,T,k),b($,m,k),P=!0},p:Ka,i(m){P||(y($.$$.fragment,m),P=!0)},o(m){w($.$$.fragment,m),P=!1},d(m){m&&o(u),m&&o(T),x($,m)}}}function tn(Me){let u,D,T,$,P,m,k,se,Io,st,Mo,Zt,q,z,at,ae,No,nt,Uo,Yt,ne,re,Go,Oo,Kt,Ne,zo,Jt,Ue,rt,Ho,Qt,Ge,Fo,Xt,S,lt,le,Wo,Bo,dt,de,Ro,Zo,pt,pe,Yo,eo,L,H,ft,fe,Ko,ct,Jo,to,F,ht,I,mt,Qo,Xo,ut,ei,ti,Oe,oi,ii,_t,M,gt,ce,si,ai,vt,bt,ni,ri,ze,he,li,oo,N,W,yt,me,di,wt,pi,io,He,fi,so,ue,ao,Fe,ci,no,We,hi,ro,_e,lo,B,mi,xt,ui,_i,po,Be,gi,fo,ge,co,Re,vi,ho,Ze,ve,Tt,R,bi,yi,wi,be,ks,xi,$t,Z,Ti,$i,Pi,ye,Ss,mo,U,Y,Pt,we,Ei,Et,Di,uo,K,Dt,xe,ki,Si,kt,Te,Vi,_o,G,J,St,$e,Ai,Vt,ji,go,h,Pe,Ci,At,qi,Li,Ee,Ii,Ye,Mi,Ni,Ui,V,De,Gi,jt,Oi,zi,Q,Hi,X,ke,Fi,Se,Wi,Ct,Bi,Ri,Zi,ee,Ve,Yi,Ae,Ki,qt,Ji,Qi,Xi,te,je,es,E,ts,Lt,os,is,It,ss,as,Mt,ns,rs,Nt,ls,ds,ps,oe,Ce,fs,O,cs,Ut,hs,ms,Gt,us,_s,gs,A,qe,vs,Ot,bs,ys,zt,ws,xs,j,Le,Ts,Ht,$s,Ps,Ft,Es,vo;return T=new Ja({props:{warning:!0,$$slots:{default:[Xa]},$$scope:{ctx:Me}}}),se=new it({}),ae=new it({}),fe=new it({}),me=new it({}),ue=new Lo({props:{code:`import torch
from diffusers import DiffusionPipeline
from diffusers.utils import export_to_video

pipe = DiffusionPipeline.from_pretrained("damo-vilab/text-to-video-ms-1.7b", torch_dtype=torch.float16, variant="fp16")
pipe = pipe.to("cuda")

prompt = "Spiderman is surfing"
video_frames = pipe(prompt).frames
video_path = export_to_video(video_frames)
video_path`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> export_to_video

pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;damo-vilab/text-to-video-ms-1.7b&quot;</span>, torch_dtype=torch.float16, variant=<span class="hljs-string">&quot;fp16&quot;</span>)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;Spiderman is surfing&quot;</span>
video_frames = pipe(prompt).frames
video_path = export_to_video(video_frames)
video_path`}}),_e=new Lo({props:{code:`import torch
from diffusers import DiffusionPipeline
from diffusers.utils import export_to_video

pipe = DiffusionPipeline.from_pretrained("damo-vilab/text-to-video-ms-1.7b", torch_dtype=torch.float16, variant="fp16")
pipe.enable_model_cpu_offload()

# memory optimization
pipe.enable_vae_slicing()

prompt = "Darth Vader surfing a wave"
video_frames = pipe(prompt, num_frames=64).frames
video_path = export_to_video(video_frames)
video_path`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> export_to_video

pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;damo-vilab/text-to-video-ms-1.7b&quot;</span>, torch_dtype=torch.float16, variant=<span class="hljs-string">&quot;fp16&quot;</span>)
pipe.enable_model_cpu_offload()

<span class="hljs-comment"># memory optimization</span>
pipe.enable_vae_slicing()

prompt = <span class="hljs-string">&quot;Darth Vader surfing a wave&quot;</span>
video_frames = pipe(prompt, num_frames=<span class="hljs-number">64</span>).frames
video_path = export_to_video(video_frames)
video_path`}}),ge=new Lo({props:{code:`import torch
from diffusers import DiffusionPipeline, DPMSolverMultistepScheduler
from diffusers.utils import export_to_video

pipe = DiffusionPipeline.from_pretrained("damo-vilab/text-to-video-ms-1.7b", torch_dtype=torch.float16, variant="fp16")
pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe.enable_model_cpu_offload()

prompt = "Spiderman is surfing"
video_frames = pipe(prompt, num_inference_steps=25).frames
video_path = export_to_video(video_frames)
video_path`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline, DPMSolverMultistepScheduler
<span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> export_to_video

pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;damo-vilab/text-to-video-ms-1.7b&quot;</span>, torch_dtype=torch.float16, variant=<span class="hljs-string">&quot;fp16&quot;</span>)
pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe.enable_model_cpu_offload()

prompt = <span class="hljs-string">&quot;Spiderman is surfing&quot;</span>
video_frames = pipe(prompt, num_inference_steps=<span class="hljs-number">25</span>).frames
video_path = export_to_video(video_frames)
video_path`}}),we=new it({}),$e=new it({}),Pe=new ie({props:{name:"class diffusers.TextToVideoSDPipeline",anchor:"diffusers.TextToVideoSDPipeline",parameters:[{name:"vae",val:": AutoencoderKL"},{name:"text_encoder",val:": CLIPTextModel"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"unet",val:": UNet3DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"}],parametersDescription:[{anchor:"diffusers.TextToVideoSDPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.TextToVideoSDPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder. Same as Stable Diffusion 2.`,name:"text_encoder"},{anchor:"diffusers.TextToVideoSDPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.TextToVideoSDPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.UNet3DConditionModel">UNet3DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded video latents.',name:"unet"},{anchor:"diffusers.TextToVideoSDPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L75"}}),De=new ie({props:{name:"__call__",anchor:"diffusers.TextToVideoSDPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_frames",val:": int = 16"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 9.0"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'np'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"diffusers.TextToVideoSDPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the video generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated video.`,name:"height"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated video.`,name:"width"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.num_frames",description:`<strong>num_frames</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The number of video frames that are generated. Defaults to 16 frames which at 8 frames per seconds
amounts to 2 seconds of video.`,name:"num_frames"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality videos at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate videos that are closely linked to the text <code>prompt</code>,
usually at the expense of lower video quality.`,name:"guidance_scale"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the video generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for video
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>. Latents should be of shape
<code>(batch_size, num_channel, num_frames, height, width)</code>.`,name:"latents"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;np&quot;</code>) &#x2014;
The output format of the generate video. Choose between <code>torch.FloatTensor</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~pipelines.stable_diffusion.TextToVideoSDPipelineOutput</code> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.TextToVideoSDPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L469",returnDescription:`
<p><code>~pipelines.stable_diffusion.TextToVideoSDPipelineOutput</code> if <code>return_dict</code> is True, otherwise a \`tuple.
When returning a tuple, the first element is a list with the generated frames.</p>
`,returnType:`
<p><code>~pipelines.stable_diffusion.TextToVideoSDPipelineOutput</code> or <code>tuple</code></p>
`}}),Q=new Qa({props:{anchor:"diffusers.TextToVideoSDPipeline.__call__.example",$$slots:{default:[en]},$$scope:{ctx:Me}}}),ke=new ie({props:{name:"disable_vae_slicing",anchor:"diffusers.TextToVideoSDPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L126"}}),Ve=new ie({props:{name:"disable_vae_tiling",anchor:"diffusers.TextToVideoSDPipeline.disable_vae_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L144"}}),je=new ie({props:{name:"enable_model_cpu_offload",anchor:"diffusers.TextToVideoSDPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L172"}}),Ce=new ie({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.TextToVideoSDPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L151"}}),qe=new ie({props:{name:"enable_vae_slicing",anchor:"diffusers.TextToVideoSDPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L116"}}),Le=new ie({props:{name:"enable_vae_tiling",anchor:"diffusers.TextToVideoSDPipeline.enable_vae_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py#L134"}}),{c(){u=i("meta"),D=l(),g(T.$$.fragment),$=l(),P=i("h1"),m=i("a"),k=i("span"),g(se.$$.fragment),Io=l(),st=i("span"),Mo=n("Text-to-video synthesis"),Zt=l(),q=i("h2"),z=i("a"),at=i("span"),g(ae.$$.fragment),No=l(),nt=i("span"),Uo=n("Overview"),Yt=l(),ne=i("p"),re=i("a"),Go=n("VideoFusion: Decomposed Diffusion Models for High-Quality Video Generation"),Oo=n(" by Zhengxiong Luo, Dayou Chen, Yingya Zhang, Yan Huang, Liang Wang, Yujun Shen, Deli Zhao, Jingren Zhou, Tieniu Tan."),Kt=l(),Ne=i("p"),zo=n("The abstract of the paper is the following:"),Jt=l(),Ue=i("p"),rt=i("em"),Ho=n("A diffusion probabilistic model (DPM), which constructs a forward diffusion process by gradually adding noise to data points and learns the reverse denoising process to generate new samples, has been shown to handle complex data distribution. Despite its recent success in image synthesis, applying DPMs to video generation is still challenging due to high-dimensional data spaces. Previous methods usually adopt a standard diffusion process, where frames in the same video clip are destroyed with independent noises, ignoring the content redundancy and temporal correlation. This work presents a decomposed diffusion process via resolving the per-frame noise into a base noise that is shared among all frames and a residual noise that varies along the time axis. The denoising pipeline employs two jointly-learned networks to match the noise decomposition accordingly. Experiments on various datasets confirm that our approach, termed as VideoFusion, surpasses both GAN-based and diffusion-based alternatives in high-quality video generation. We further show that our decomposed formulation can benefit from pre-trained image diffusion models and well-support text-conditioned video creation."),Qt=l(),Ge=i("p"),Fo=n("Resources:"),Xt=l(),S=i("ul"),lt=i("li"),le=i("a"),Wo=n("Website"),Bo=l(),dt=i("li"),de=i("a"),Ro=n("GitHub repository"),Zo=l(),pt=i("li"),pe=i("a"),Yo=n("\u{1F917} Spaces"),eo=l(),L=i("h2"),H=i("a"),ft=i("span"),g(fe.$$.fragment),Ko=l(),ct=i("span"),Jo=n("Available Pipelines:"),to=l(),F=i("table"),ht=i("thead"),I=i("tr"),mt=i("th"),Qo=n("Pipeline"),Xo=l(),ut=i("th"),ei=n("Tasks"),ti=l(),Oe=i("th"),oi=n("Demo"),ii=l(),_t=i("tbody"),M=i("tr"),gt=i("td"),ce=i("a"),si=n("TextToVideoSDPipeline"),ai=l(),vt=i("td"),bt=i("em"),ni=n("Text-to-Video Generation"),ri=l(),ze=i("td"),he=i("a"),li=n("\u{1F917} Spaces"),oo=l(),N=i("h2"),W=i("a"),yt=i("span"),g(me.$$.fragment),di=l(),wt=i("span"),pi=n("Usage example"),io=l(),He=i("p"),fi=n("Let\u2019s start by generating a short video with the default length of 16 frames (2s at 8 fps):"),so=l(),g(ue.$$.fragment),ao=l(),Fe=i("p"),ci=n(`Diffusers supports different optimization techniques to improve the latency
and memory footprint of a pipeline. Since videos are often more memory-heavy than images,
we can enable CPU offloading and VAE slicing to keep the memory footprint at bay.`),no=l(),We=i("p"),hi=n("Let\u2019s generate a video of 8 seconds (64 frames) on the same GPU using CPU offloading and VAE slicing:"),ro=l(),g(_e.$$.fragment),lo=l(),B=i("p"),mi=n("It just takes "),xt=i("strong"),ui=n("7 GBs of GPU memory"),_i=n(" to generate the 64 video frames using PyTorch 2.0, \u201Cfp16\u201D precision and the techniques mentioned above."),po=l(),Be=i("p"),gi=n("We can also use a different scheduler easily, using the same method we\u2019d use for Stable Diffusion:"),fo=l(),g(ge.$$.fragment),co=l(),Re=i("p"),vi=n("Here are some sample outputs:"),ho=l(),Ze=i("table"),ve=i("tr"),Tt=i("td"),R=i("center"),bi=n(`An astronaut riding a horse.
        `),yi=i("br"),wi=l(),be=i("img"),xi=l(),$t=i("td"),Z=i("center"),Ti=n(`Darth vader surfing in waves.
        `),$i=i("br"),Pi=l(),ye=i("img"),mo=l(),U=i("h2"),Y=i("a"),Pt=i("span"),g(we.$$.fragment),Ei=l(),Et=i("span"),Di=n("Available checkpoints"),uo=l(),K=i("ul"),Dt=i("li"),xe=i("a"),ki=n("damo-vilab/text-to-video-ms-1.7b"),Si=l(),kt=i("li"),Te=i("a"),Vi=n("damo-vilab/text-to-video-ms-1.7b-legacy"),_o=l(),G=i("h2"),J=i("a"),St=i("span"),g($e.$$.fragment),Ai=l(),Vt=i("span"),ji=n("TextToVideoSDPipeline"),go=l(),h=i("div"),g(Pe.$$.fragment),Ci=l(),At=i("p"),qi=n("Pipeline for text-to-video generation."),Li=l(),Ee=i("p"),Ii=n("This model inherits from "),Ye=i("a"),Mi=n("DiffusionPipeline"),Ni=n(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Ui=l(),V=i("div"),g(De.$$.fragment),Gi=l(),jt=i("p"),Oi=n("Function invoked when calling the pipeline for generation."),zi=l(),g(Q.$$.fragment),Hi=l(),X=i("div"),g(ke.$$.fragment),Fi=l(),Se=i("p"),Wi=n("Disable sliced VAE decoding. If "),Ct=i("code"),Bi=n("enable_vae_slicing"),Ri=n(` was previously invoked, this method will go back to
computing decoding in one step.`),Zi=l(),ee=i("div"),g(Ve.$$.fragment),Yi=l(),Ae=i("p"),Ki=n("Disable tiled VAE decoding. If "),qt=i("code"),Ji=n("enable_vae_tiling"),Qi=n(` was previously invoked, this method will go back to
computing decoding in one step.`),Xi=l(),te=i("div"),g(je.$$.fragment),es=l(),E=i("p"),ts=n(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),Lt=i("code"),os=n("enable_sequential_cpu_offload"),is=n(", this method moves one whole model at a time to the GPU when its "),It=i("code"),ss=n("forward"),as=n(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Mt=i("code"),ns=n("enable_sequential_cpu_offload"),rs=n(", but performance is much better due to the iterative execution of the "),Nt=i("code"),ls=n("unet"),ds=n("."),ps=l(),oe=i("div"),g(Ce.$$.fragment),fs=l(),O=i("p"),cs=n(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae have their state dicts saved to CPU and then are moved to a `),Ut=i("code"),hs=n("torch.device('meta') and loaded to GPU only when their specific submodule has its "),ms=n("forward"),Gt=i("code"),us=n("method called. Note that offloading happens on a submodule basis. Memory savings are higher than with"),_s=n("enable_model_cpu_offload`, but performance is lower."),gs=l(),A=i("div"),g(qe.$$.fragment),vs=l(),Ot=i("p"),bs=n("Enable sliced VAE decoding."),ys=l(),zt=i("p"),ws=n(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),xs=l(),j=i("div"),g(Le.$$.fragment),Ts=l(),Ht=i("p"),$s=n("Enable tiled VAE decoding."),Ps=l(),Ft=i("p"),Es=n(`When this option is enabled, the VAE will split the input tensor into tiles to compute decoding and encoding in
several steps. This is useful to save a large amount of memory and to allow the processing of larger images.`),this.h()},l(e){const p=Za('[data-svelte="svelte-1phssyn"]',document.head);u=s(p,"META",{name:!0,content:!0}),p.forEach(o),D=d(e),v(T.$$.fragment,e),$=d(e),P=s(e,"H1",{class:!0});var Ie=a(P);m=s(Ie,"A",{id:!0,class:!0,href:!0});var Wt=a(m);k=s(Wt,"SPAN",{});var Vs=a(k);v(se.$$.fragment,Vs),Vs.forEach(o),Wt.forEach(o),Io=d(Ie),st=s(Ie,"SPAN",{});var As=a(st);Mo=r(As,"Text-to-video synthesis"),As.forEach(o),Ie.forEach(o),Zt=d(e),q=s(e,"H2",{class:!0});var bo=a(q);z=s(bo,"A",{id:!0,class:!0,href:!0});var js=a(z);at=s(js,"SPAN",{});var Cs=a(at);v(ae.$$.fragment,Cs),Cs.forEach(o),js.forEach(o),No=d(bo),nt=s(bo,"SPAN",{});var qs=a(nt);Uo=r(qs,"Overview"),qs.forEach(o),bo.forEach(o),Yt=d(e),ne=s(e,"P",{});var Ds=a(ne);re=s(Ds,"A",{href:!0,rel:!0});var Ls=a(re);Go=r(Ls,"VideoFusion: Decomposed Diffusion Models for High-Quality Video Generation"),Ls.forEach(o),Oo=r(Ds," by Zhengxiong Luo, Dayou Chen, Yingya Zhang, Yan Huang, Liang Wang, Yujun Shen, Deli Zhao, Jingren Zhou, Tieniu Tan."),Ds.forEach(o),Kt=d(e),Ne=s(e,"P",{});var Is=a(Ne);zo=r(Is,"The abstract of the paper is the following:"),Is.forEach(o),Jt=d(e),Ue=s(e,"P",{});var Ms=a(Ue);rt=s(Ms,"EM",{});var Ns=a(rt);Ho=r(Ns,"A diffusion probabilistic model (DPM), which constructs a forward diffusion process by gradually adding noise to data points and learns the reverse denoising process to generate new samples, has been shown to handle complex data distribution. Despite its recent success in image synthesis, applying DPMs to video generation is still challenging due to high-dimensional data spaces. Previous methods usually adopt a standard diffusion process, where frames in the same video clip are destroyed with independent noises, ignoring the content redundancy and temporal correlation. This work presents a decomposed diffusion process via resolving the per-frame noise into a base noise that is shared among all frames and a residual noise that varies along the time axis. The denoising pipeline employs two jointly-learned networks to match the noise decomposition accordingly. Experiments on various datasets confirm that our approach, termed as VideoFusion, surpasses both GAN-based and diffusion-based alternatives in high-quality video generation. We further show that our decomposed formulation can benefit from pre-trained image diffusion models and well-support text-conditioned video creation."),Ns.forEach(o),Ms.forEach(o),Qt=d(e),Ge=s(e,"P",{});var Us=a(Ge);Fo=r(Us,"Resources:"),Us.forEach(o),Xt=d(e),S=s(e,"UL",{});var Ke=a(S);lt=s(Ke,"LI",{});var Gs=a(lt);le=s(Gs,"A",{href:!0,rel:!0});var Os=a(le);Wo=r(Os,"Website"),Os.forEach(o),Gs.forEach(o),Bo=d(Ke),dt=s(Ke,"LI",{});var zs=a(dt);de=s(zs,"A",{href:!0,rel:!0});var Hs=a(de);Ro=r(Hs,"GitHub repository"),Hs.forEach(o),zs.forEach(o),Zo=d(Ke),pt=s(Ke,"LI",{});var Fs=a(pt);pe=s(Fs,"A",{href:!0,rel:!0});var Ws=a(pe);Yo=r(Ws,"\u{1F917} Spaces"),Ws.forEach(o),Fs.forEach(o),Ke.forEach(o),eo=d(e),L=s(e,"H2",{class:!0});var yo=a(L);H=s(yo,"A",{id:!0,class:!0,href:!0});var Bs=a(H);ft=s(Bs,"SPAN",{});var Rs=a(ft);v(fe.$$.fragment,Rs),Rs.forEach(o),Bs.forEach(o),Ko=d(yo),ct=s(yo,"SPAN",{});var Zs=a(ct);Jo=r(Zs,"Available Pipelines:"),Zs.forEach(o),yo.forEach(o),to=d(e),F=s(e,"TABLE",{});var wo=a(F);ht=s(wo,"THEAD",{});var Ys=a(ht);I=s(Ys,"TR",{});var Je=a(I);mt=s(Je,"TH",{});var Ks=a(mt);Qo=r(Ks,"Pipeline"),Ks.forEach(o),Xo=d(Je),ut=s(Je,"TH",{});var Js=a(ut);ei=r(Js,"Tasks"),Js.forEach(o),ti=d(Je),Oe=s(Je,"TH",{align:!0});var Qs=a(Oe);oi=r(Qs,"Demo"),Qs.forEach(o),Je.forEach(o),Ys.forEach(o),ii=d(wo),_t=s(wo,"TBODY",{});var Xs=a(_t);M=s(Xs,"TR",{});var Qe=a(M);gt=s(Qe,"TD",{});var ea=a(gt);ce=s(ea,"A",{href:!0,rel:!0});var ta=a(ce);si=r(ta,"TextToVideoSDPipeline"),ta.forEach(o),ea.forEach(o),ai=d(Qe),vt=s(Qe,"TD",{});var oa=a(vt);bt=s(oa,"EM",{});var ia=a(bt);ni=r(ia,"Text-to-Video Generation"),ia.forEach(o),oa.forEach(o),ri=d(Qe),ze=s(Qe,"TD",{align:!0});var sa=a(ze);he=s(sa,"A",{href:!0,rel:!0});var aa=a(he);li=r(aa,"\u{1F917} Spaces"),aa.forEach(o),sa.forEach(o),Qe.forEach(o),Xs.forEach(o),wo.forEach(o),oo=d(e),N=s(e,"H2",{class:!0});var xo=a(N);W=s(xo,"A",{id:!0,class:!0,href:!0});var na=a(W);yt=s(na,"SPAN",{});var ra=a(yt);v(me.$$.fragment,ra),ra.forEach(o),na.forEach(o),di=d(xo),wt=s(xo,"SPAN",{});var la=a(wt);pi=r(la,"Usage example"),la.forEach(o),xo.forEach(o),io=d(e),He=s(e,"P",{});var da=a(He);fi=r(da,"Let\u2019s start by generating a short video with the default length of 16 frames (2s at 8 fps):"),da.forEach(o),so=d(e),v(ue.$$.fragment,e),ao=d(e),Fe=s(e,"P",{});var pa=a(Fe);ci=r(pa,`Diffusers supports different optimization techniques to improve the latency
and memory footprint of a pipeline. Since videos are often more memory-heavy than images,
we can enable CPU offloading and VAE slicing to keep the memory footprint at bay.`),pa.forEach(o),no=d(e),We=s(e,"P",{});var fa=a(We);hi=r(fa,"Let\u2019s generate a video of 8 seconds (64 frames) on the same GPU using CPU offloading and VAE slicing:"),fa.forEach(o),ro=d(e),v(_e.$$.fragment,e),lo=d(e),B=s(e,"P",{});var To=a(B);mi=r(To,"It just takes "),xt=s(To,"STRONG",{});var ca=a(xt);ui=r(ca,"7 GBs of GPU memory"),ca.forEach(o),_i=r(To," to generate the 64 video frames using PyTorch 2.0, \u201Cfp16\u201D precision and the techniques mentioned above."),To.forEach(o),po=d(e),Be=s(e,"P",{});var ha=a(Be);gi=r(ha,"We can also use a different scheduler easily, using the same method we\u2019d use for Stable Diffusion:"),ha.forEach(o),fo=d(e),v(ge.$$.fragment,e),co=d(e),Re=s(e,"P",{});var ma=a(Re);vi=r(ma,"Here are some sample outputs:"),ma.forEach(o),ho=d(e),Ze=s(e,"TABLE",{});var ua=a(Ze);ve=s(ua,"TR",{});var $o=a(ve);Tt=s($o,"TD",{});var _a=a(Tt);R=s(_a,"CENTER",{});var Bt=a(R);bi=r(Bt,`An astronaut riding a horse.
        `),yi=s(Bt,"BR",{}),wi=d(Bt),be=s(Bt,"IMG",{src:!0,alt:!0,style:!0}),Bt.forEach(o),_a.forEach(o),xi=d($o),$t=s($o,"TD",{});var ga=a($t);Z=s(ga,"CENTER",{});var Rt=a(Z);Ti=r(Rt,`Darth vader surfing in waves.
        `),$i=s(Rt,"BR",{}),Pi=d(Rt),ye=s(Rt,"IMG",{src:!0,alt:!0,style:!0}),Rt.forEach(o),ga.forEach(o),$o.forEach(o),ua.forEach(o),mo=d(e),U=s(e,"H2",{class:!0});var Po=a(U);Y=s(Po,"A",{id:!0,class:!0,href:!0});var va=a(Y);Pt=s(va,"SPAN",{});var ba=a(Pt);v(we.$$.fragment,ba),ba.forEach(o),va.forEach(o),Ei=d(Po),Et=s(Po,"SPAN",{});var ya=a(Et);Di=r(ya,"Available checkpoints"),ya.forEach(o),Po.forEach(o),uo=d(e),K=s(e,"UL",{});var Eo=a(K);Dt=s(Eo,"LI",{});var wa=a(Dt);xe=s(wa,"A",{href:!0,rel:!0});var xa=a(xe);ki=r(xa,"damo-vilab/text-to-video-ms-1.7b"),xa.forEach(o),wa.forEach(o),Si=d(Eo),kt=s(Eo,"LI",{});var Ta=a(kt);Te=s(Ta,"A",{href:!0,rel:!0});var $a=a(Te);Vi=r($a,"damo-vilab/text-to-video-ms-1.7b-legacy"),$a.forEach(o),Ta.forEach(o),Eo.forEach(o),_o=d(e),G=s(e,"H2",{class:!0});var Do=a(G);J=s(Do,"A",{id:!0,class:!0,href:!0});var Pa=a(J);St=s(Pa,"SPAN",{});var Ea=a(St);v($e.$$.fragment,Ea),Ea.forEach(o),Pa.forEach(o),Ai=d(Do),Vt=s(Do,"SPAN",{});var Da=a(Vt);ji=r(Da,"TextToVideoSDPipeline"),Da.forEach(o),Do.forEach(o),go=d(e),h=s(e,"DIV",{class:!0});var _=a(h);v(Pe.$$.fragment,_),Ci=d(_),At=s(_,"P",{});var ka=a(At);qi=r(ka,"Pipeline for text-to-video generation."),ka.forEach(o),Li=d(_),Ee=s(_,"P",{});var ko=a(Ee);Ii=r(ko,"This model inherits from "),Ye=s(ko,"A",{href:!0});var Sa=a(Ye);Mi=r(Sa,"DiffusionPipeline"),Sa.forEach(o),Ni=r(ko,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ko.forEach(o),Ui=d(_),V=s(_,"DIV",{class:!0});var Xe=a(V);v(De.$$.fragment,Xe),Gi=d(Xe),jt=s(Xe,"P",{});var Va=a(jt);Oi=r(Va,"Function invoked when calling the pipeline for generation."),Va.forEach(o),zi=d(Xe),v(Q.$$.fragment,Xe),Xe.forEach(o),Hi=d(_),X=s(_,"DIV",{class:!0});var So=a(X);v(ke.$$.fragment,So),Fi=d(So),Se=s(So,"P",{});var Vo=a(Se);Wi=r(Vo,"Disable sliced VAE decoding. If "),Ct=s(Vo,"CODE",{});var Aa=a(Ct);Bi=r(Aa,"enable_vae_slicing"),Aa.forEach(o),Ri=r(Vo,` was previously invoked, this method will go back to
computing decoding in one step.`),Vo.forEach(o),So.forEach(o),Zi=d(_),ee=s(_,"DIV",{class:!0});var Ao=a(ee);v(Ve.$$.fragment,Ao),Yi=d(Ao),Ae=s(Ao,"P",{});var jo=a(Ae);Ki=r(jo,"Disable tiled VAE decoding. If "),qt=s(jo,"CODE",{});var ja=a(qt);Ji=r(ja,"enable_vae_tiling"),ja.forEach(o),Qi=r(jo,` was previously invoked, this method will go back to
computing decoding in one step.`),jo.forEach(o),Ao.forEach(o),Xi=d(_),te=s(_,"DIV",{class:!0});var Co=a(te);v(je.$$.fragment,Co),es=d(Co),E=s(Co,"P",{});var C=a(E);ts=r(C,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),Lt=s(C,"CODE",{});var Ca=a(Lt);os=r(Ca,"enable_sequential_cpu_offload"),Ca.forEach(o),is=r(C,", this method moves one whole model at a time to the GPU when its "),It=s(C,"CODE",{});var qa=a(It);ss=r(qa,"forward"),qa.forEach(o),as=r(C,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Mt=s(C,"CODE",{});var La=a(Mt);ns=r(La,"enable_sequential_cpu_offload"),La.forEach(o),rs=r(C,", but performance is much better due to the iterative execution of the "),Nt=s(C,"CODE",{});var Ia=a(Nt);ls=r(Ia,"unet"),Ia.forEach(o),ds=r(C,"."),C.forEach(o),Co.forEach(o),ps=d(_),oe=s(_,"DIV",{class:!0});var qo=a(oe);v(Ce.$$.fragment,qo),fs=d(qo),O=s(qo,"P",{});var et=a(O);cs=r(et,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae have their state dicts saved to CPU and then are moved to a `),Ut=s(et,"CODE",{});var Ma=a(Ut);hs=r(Ma,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Ma.forEach(o),ms=r(et,"forward"),Gt=s(et,"CODE",{});var Na=a(Gt);us=r(Na,"method called. Note that offloading happens on a submodule basis. Memory savings are higher than with"),Na.forEach(o),_s=r(et,"enable_model_cpu_offload`, but performance is lower."),et.forEach(o),qo.forEach(o),gs=d(_),A=s(_,"DIV",{class:!0});var tt=a(A);v(qe.$$.fragment,tt),vs=d(tt),Ot=s(tt,"P",{});var Ua=a(Ot);bs=r(Ua,"Enable sliced VAE decoding."),Ua.forEach(o),ys=d(tt),zt=s(tt,"P",{});var Ga=a(zt);ws=r(Ga,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Ga.forEach(o),tt.forEach(o),xs=d(_),j=s(_,"DIV",{class:!0});var ot=a(j);v(Le.$$.fragment,ot),Ts=d(ot),Ht=s(ot,"P",{});var Oa=a(Ht);$s=r(Oa,"Enable tiled VAE decoding."),Oa.forEach(o),Ps=d(ot),Ft=s(ot,"P",{});var za=a(Ft);Es=r(za,`When this option is enabled, the VAE will split the input tensor into tiles to compute decoding and encoding in
several steps. This is useful to save a large amount of memory and to allow the processing of larger images.`),za.forEach(o),ot.forEach(o),_.forEach(o),this.h()},h(){f(u,"name","hf:doc:metadata"),f(u,"content",JSON.stringify(on)),f(m,"id","texttovideo-synthesis"),f(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(m,"href","#texttovideo-synthesis"),f(P,"class","relative group"),f(z,"id","overview"),f(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(z,"href","#overview"),f(q,"class","relative group"),f(re,"href","https://arxiv.org/abs/2303.08320"),f(re,"rel","nofollow"),f(le,"href","https://modelscope.cn/models/damo/text-to-video-synthesis/summary"),f(le,"rel","nofollow"),f(de,"href","https://github.com/modelscope/modelscope/"),f(de,"rel","nofollow"),f(pe,"href","https://huggingface.co/spaces/damo-vilab/modelscope-text-to-video-synthesis"),f(pe,"rel","nofollow"),f(H,"id","available-pipelines"),f(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(H,"href","#available-pipelines"),f(L,"class","relative group"),f(Oe,"align","center"),f(ce,"href","https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_synth.py"),f(ce,"rel","nofollow"),f(he,"href","https://huggingface.co/spaces/damo-vilab/modelscope-text-to-video-synthesis"),f(he,"rel","nofollow"),f(ze,"align","center"),f(W,"id","usage-example"),f(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(W,"href","#usage-example"),f(N,"class","relative group"),Ha(be.src,ks="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/diffusers/astr.gif")||f(be,"src",ks),f(be,"alt","An astronaut riding a horse."),Fa(be,"width","300px"),Ha(ye.src,Ss="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/diffusers/vader.gif")||f(ye,"src",Ss),f(ye,"alt","Darth vader surfing in waves."),Fa(ye,"width","300px"),f(Y,"id","available-checkpoints"),f(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Y,"href","#available-checkpoints"),f(U,"class","relative group"),f(xe,"href","https://huggingface.co/damo-vilab/text-to-video-ms-1.7b/"),f(xe,"rel","nofollow"),f(Te,"href","https://huggingface.co/damo-vilab/text-to-video-ms-1.7b-legacy"),f(Te,"rel","nofollow"),f(J,"id","diffusers.TextToVideoSDPipeline"),f(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(J,"href","#diffusers.TextToVideoSDPipeline"),f(G,"class","relative group"),f(Ye,"href","/docs/diffusers/main/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),f(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){t(document.head,u),c(e,D,p),b(T,e,p),c(e,$,p),c(e,P,p),t(P,m),t(m,k),b(se,k,null),t(P,Io),t(P,st),t(st,Mo),c(e,Zt,p),c(e,q,p),t(q,z),t(z,at),b(ae,at,null),t(q,No),t(q,nt),t(nt,Uo),c(e,Yt,p),c(e,ne,p),t(ne,re),t(re,Go),t(ne,Oo),c(e,Kt,p),c(e,Ne,p),t(Ne,zo),c(e,Jt,p),c(e,Ue,p),t(Ue,rt),t(rt,Ho),c(e,Qt,p),c(e,Ge,p),t(Ge,Fo),c(e,Xt,p),c(e,S,p),t(S,lt),t(lt,le),t(le,Wo),t(S,Bo),t(S,dt),t(dt,de),t(de,Ro),t(S,Zo),t(S,pt),t(pt,pe),t(pe,Yo),c(e,eo,p),c(e,L,p),t(L,H),t(H,ft),b(fe,ft,null),t(L,Ko),t(L,ct),t(ct,Jo),c(e,to,p),c(e,F,p),t(F,ht),t(ht,I),t(I,mt),t(mt,Qo),t(I,Xo),t(I,ut),t(ut,ei),t(I,ti),t(I,Oe),t(Oe,oi),t(F,ii),t(F,_t),t(_t,M),t(M,gt),t(gt,ce),t(ce,si),t(M,ai),t(M,vt),t(vt,bt),t(bt,ni),t(M,ri),t(M,ze),t(ze,he),t(he,li),c(e,oo,p),c(e,N,p),t(N,W),t(W,yt),b(me,yt,null),t(N,di),t(N,wt),t(wt,pi),c(e,io,p),c(e,He,p),t(He,fi),c(e,so,p),b(ue,e,p),c(e,ao,p),c(e,Fe,p),t(Fe,ci),c(e,no,p),c(e,We,p),t(We,hi),c(e,ro,p),b(_e,e,p),c(e,lo,p),c(e,B,p),t(B,mi),t(B,xt),t(xt,ui),t(B,_i),c(e,po,p),c(e,Be,p),t(Be,gi),c(e,fo,p),b(ge,e,p),c(e,co,p),c(e,Re,p),t(Re,vi),c(e,ho,p),c(e,Ze,p),t(Ze,ve),t(ve,Tt),t(Tt,R),t(R,bi),t(R,yi),t(R,wi),t(R,be),t(ve,xi),t(ve,$t),t($t,Z),t(Z,Ti),t(Z,$i),t(Z,Pi),t(Z,ye),c(e,mo,p),c(e,U,p),t(U,Y),t(Y,Pt),b(we,Pt,null),t(U,Ei),t(U,Et),t(Et,Di),c(e,uo,p),c(e,K,p),t(K,Dt),t(Dt,xe),t(xe,ki),t(K,Si),t(K,kt),t(kt,Te),t(Te,Vi),c(e,_o,p),c(e,G,p),t(G,J),t(J,St),b($e,St,null),t(G,Ai),t(G,Vt),t(Vt,ji),c(e,go,p),c(e,h,p),b(Pe,h,null),t(h,Ci),t(h,At),t(At,qi),t(h,Li),t(h,Ee),t(Ee,Ii),t(Ee,Ye),t(Ye,Mi),t(Ee,Ni),t(h,Ui),t(h,V),b(De,V,null),t(V,Gi),t(V,jt),t(jt,Oi),t(V,zi),b(Q,V,null),t(h,Hi),t(h,X),b(ke,X,null),t(X,Fi),t(X,Se),t(Se,Wi),t(Se,Ct),t(Ct,Bi),t(Se,Ri),t(h,Zi),t(h,ee),b(Ve,ee,null),t(ee,Yi),t(ee,Ae),t(Ae,Ki),t(Ae,qt),t(qt,Ji),t(Ae,Qi),t(h,Xi),t(h,te),b(je,te,null),t(te,es),t(te,E),t(E,ts),t(E,Lt),t(Lt,os),t(E,is),t(E,It),t(It,ss),t(E,as),t(E,Mt),t(Mt,ns),t(E,rs),t(E,Nt),t(Nt,ls),t(E,ds),t(h,ps),t(h,oe),b(Ce,oe,null),t(oe,fs),t(oe,O),t(O,cs),t(O,Ut),t(Ut,hs),t(O,ms),t(O,Gt),t(Gt,us),t(O,_s),t(h,gs),t(h,A),b(qe,A,null),t(A,vs),t(A,Ot),t(Ot,bs),t(A,ys),t(A,zt),t(zt,ws),t(h,xs),t(h,j),b(Le,j,null),t(j,Ts),t(j,Ht),t(Ht,$s),t(j,Ps),t(j,Ft),t(Ft,Es),vo=!0},p(e,[p]){const Ie={};p&2&&(Ie.$$scope={dirty:p,ctx:e}),T.$set(Ie);const Wt={};p&2&&(Wt.$$scope={dirty:p,ctx:e}),Q.$set(Wt)},i(e){vo||(y(T.$$.fragment,e),y(se.$$.fragment,e),y(ae.$$.fragment,e),y(fe.$$.fragment,e),y(me.$$.fragment,e),y(ue.$$.fragment,e),y(_e.$$.fragment,e),y(ge.$$.fragment,e),y(we.$$.fragment,e),y($e.$$.fragment,e),y(Pe.$$.fragment,e),y(De.$$.fragment,e),y(Q.$$.fragment,e),y(ke.$$.fragment,e),y(Ve.$$.fragment,e),y(je.$$.fragment,e),y(Ce.$$.fragment,e),y(qe.$$.fragment,e),y(Le.$$.fragment,e),vo=!0)},o(e){w(T.$$.fragment,e),w(se.$$.fragment,e),w(ae.$$.fragment,e),w(fe.$$.fragment,e),w(me.$$.fragment,e),w(ue.$$.fragment,e),w(_e.$$.fragment,e),w(ge.$$.fragment,e),w(we.$$.fragment,e),w($e.$$.fragment,e),w(Pe.$$.fragment,e),w(De.$$.fragment,e),w(Q.$$.fragment,e),w(ke.$$.fragment,e),w(Ve.$$.fragment,e),w(je.$$.fragment,e),w(Ce.$$.fragment,e),w(qe.$$.fragment,e),w(Le.$$.fragment,e),vo=!1},d(e){o(u),e&&o(D),x(T,e),e&&o($),e&&o(P),x(se),e&&o(Zt),e&&o(q),x(ae),e&&o(Yt),e&&o(ne),e&&o(Kt),e&&o(Ne),e&&o(Jt),e&&o(Ue),e&&o(Qt),e&&o(Ge),e&&o(Xt),e&&o(S),e&&o(eo),e&&o(L),x(fe),e&&o(to),e&&o(F),e&&o(oo),e&&o(N),x(me),e&&o(io),e&&o(He),e&&o(so),x(ue,e),e&&o(ao),e&&o(Fe),e&&o(no),e&&o(We),e&&o(ro),x(_e,e),e&&o(lo),e&&o(B),e&&o(po),e&&o(Be),e&&o(fo),x(ge,e),e&&o(co),e&&o(Re),e&&o(ho),e&&o(Ze),e&&o(mo),e&&o(U),x(we),e&&o(uo),e&&o(K),e&&o(_o),e&&o(G),x($e),e&&o(go),e&&o(h),x(Pe),x(De),x(Q),x(ke),x(Ve),x(je),x(Ce),x(qe),x(Le)}}}const on={local:"texttovideo-synthesis",sections:[{local:"overview",title:"Overview"},{local:"available-pipelines",title:"Available Pipelines:"},{local:"usage-example",title:"Usage example "},{local:"available-checkpoints",title:"Available checkpoints "},{local:"diffusers.TextToVideoSDPipeline",title:"TextToVideoSDPipeline"}],title:"Text-to-video synthesis"};function sn(Me){return Ya(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class fn extends Wa{constructor(u){super();Ba(this,u,sn,tn,Ra,{})}}export{fn as default,on as metadata};
